Subject: Re: FVWM: Problem with ClickToFocusDoesntPassClick

From: Dan D Niles <[email-masked]>
Date: Thu, 1 Apr 1999 11:00:43 -0600

Dominik wrote:
> 
> On Fri, Mar 26, 1999 at 04:24:02PM -0600, Dan D Niles wrote:
> > 
> > I use:
> > 
> > GlobalOpts ClickToFocusDoesntPassClick 
> > Style "*"	ClickToFocus
> > 
> > Which works as I would expect in most windows.  The way it works in
> > windows that never receive focus seems odd.
> > 
> > My FvwmPager never receives focus.  With ClickToFocusDoesntPassClick
> > set I click on the FvwmPager window once, and nothing happens (Focus
> > is still on the previous window).  When I click on the FvwmPager
> > window a second time, it does what it should.
> > 
> > It almost seems like  ClickToFocusDoesntPassClick has its own idea
> > of what window has focus.
> 
> Can you elaborate on your setup? What is the style of your pager?
> You can't have windows that 'never receive focus' a 'neverfocus'
> option has been in discussin but postponed until after the great
> style flag rewrite. This explains everything for me. You told
> the pager to be ClickToFocus. You focus it by clicking on it.
> The click is swallowed because of the global option. The next
> click goes to the pager. Why do you say the pager does not get
> the focus?

I have noticed this on the FvwmPager and my workman windows.  I use:

DeskTopSize 3x3
AddToFunc InitFunction	"I"	Module FvwmPager 0 0
Style "FvwmPager"   StaysOnTop, CirculateSkip
Style "WorkMan"     CirculateSkip, WindowListSkip

I say the pager does not get the focus because the window highlight 
stays on the previous window, and if I start typing after the first
click in the pager the keystrokes go to the previous window.

To illustrate the point, I clicked on emamcs and it now has focus.
Now I will click on the pager.

I just clicked on the pager and the virtual window did not move.
I then started typing,  and as you can see, the text is being sent
to this window.

Now to click on the pager again.

This time, the virtual window changed.  The emacs window still has focus
since I can type without having to do anything else.  As long as I don't
click anywhere else, each click in the pager window will cause the appropriate
thing to happen.  If I click on another window, say the emacs one again,
the process repeats (ie the first click to the pager is lost).

I like the ClickToFocusDoesntPassClick option, but I find it unusable
with this little quirk.

Dan D Niles
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 1 Apr 1999 21:34:06 +0200

> the process repeats (ie the first click to the pager is lost).

Ah yes, now I see it. Seems the ClickToFocusDoesntPassClick doesn't
cooperate with windows that don't want the input focus. The fix was
easy. There was even a comment in events.c that whis was a know bug.

> I like the ClickToFocusDoesntPassClick option, but I find it unusable

Well, I find it unusable with and without the quirk (The whole
ClickToFocus idea) :*)

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].